package conf

import (
	"git.botann.com/tinycs/boomerang/tyconf"
	"git.botann.com/tinycs/boomerang/tyconf/ini"
	"git.botann.com/tinycs/boomerang/tyoracle"
	"git.botann.com/tinycs/boomerang/tyoracle/basesql"
	_ "github.com/godror/godror"
)

var APP AppConf

type AppConf struct {
	tyconf.SuperConfig
	OracleConfig basesql.OracleConfig `section:"oracle"`
}

func init() {
	ini.LoadConfig("app.conf", &APP)
	tyoracle.DB().OpenTyOracle(basesql.DriverName(), APP.OracleConfig.DSN())
}
