package sql_builder

import (
	"git.botann.com/lijun/sql-builder/db"
	"git.botann.com/lijun/sql-builder/util"
	"git.botann.com/tinycs/boomerang/tydb"
	"git.botann.com/tinycs/boomerang/tyoracle"
	"git.botann.com/tinycs/boomerang/tytaos"
)

func NewSqlBuilder[T tydb.QOneRowRst | tytaos.QOneRowRst | int](connector db.SqlConnector[T]) *db.SqlBuilder[T] {
	return &db.SqlBuilder[T]{Connector: connector, Driver: util.DriverMysql}
}

func DefaultSqlBuilder() *db.SqlBuilder[tydb.QOneRowRst] {
	return NewSqlBuilder[tydb.QOneRowRst](tydb.DB())
}

func NewSqlBuilderByDriver[T tydb.QOneRowRst | tytaos.QOneRowRst | tyoracle.QOneRowRst | int](connector db.SqlConnector[T], driver string) *db.SqlBuilder[T] {
	return &db.SqlBuilder[T]{Connector: connector, Driver: driver}
}

func OracleSqlBuilder() *db.SqlBuilder[tyoracle.QOneRowRst] {
	return NewSqlBuilderByDriver[tyoracle.QOneRowRst](tyoracle.DB(), util.DriverOracle)
}
